
import { jhjdzbmbTableData } from '../data/table/jhjdzbmbData';
import { doubleYBarCharPackage, keyValuePackage, onceYBarChartPackage, rankPackage, tablePackage } from '../dataPackage/inFrontOut';
import { getDoubleYBarChartOut, getKeyValueOut, getOnceYBarChartOut, getTableOut } from '../dataPackage/out';

/*                            计划进度指标面板                    */

export function getData(req, res) {
    let excelData = jhjdzbmbTableData();

    let ret:any = {};

    let jhjdPackageData = keyValuePackage(excelData['计划进度'].dataList);
    ret['jhjd'] = getKeyValueOut('计划进度', jhjdPackageData);
                    
    let zjblxxjdPackageData = keyValuePackage(excelData['证件办理详细进度'].dataList);
    ret['zjblxxjd'] = getKeyValueOut('证件办理详细进度', zjblxxjdPackageData);
                    
    let dqxxjdPackageData = keyValuePackage(excelData['动迁详细进度'].dataList);
    ret['dqxxjd'] = getKeyValueOut('动迁详细进度', dqxxjdPackageData);
                    
    let yjxxjdPackageData = keyValuePackage(excelData['移交详细进度'].dataList);
    ret['yjxxjd'] = getKeyValueOut('移交详细进度', yjxxjdPackageData);
                    
    let xxjdPackageData = keyValuePackage(excelData['形象进度'].dataList);
    ret['xxjd'] = getKeyValueOut('形象进度', xxjdPackageData);
                    
    let czxxjdPackageData = keyValuePackage(excelData['车站详细进度'].dataList);
    ret['czxxjd'] = getKeyValueOut('车站详细进度', czxxjdPackageData);
                    
    let dgjxxjdPackageData = keyValuePackage(excelData['盾构机详细进度'].dataList);
    ret['dgjxxjd'] = getKeyValueOut('盾构机详细进度', dgjxxjdPackageData);
                    
    let ptdxxjdPackageData = keyValuePackage(excelData['旁通道详细进度'].dataList);
    ret['ptdxxjd'] = getKeyValueOut('旁通道详细进度', ptdxxjdPackageData);
                    
    let lcbjdwcqkTableData = tablePackage(excelData["里程碑节点完成情况"].headerList[0], excelData["里程碑节点完成情况"].bodyList);
    ret['lcbjdwcqk'] = getTableOut( '里程碑节点完成情况', lcbjdwcqkTableData);
                     
    res.send(ret);
} 